Ticket #256 (closed bug: fixed)

Opened 11 years ago

Last modified 8 years ago

ffadomixer hangs on startup / throws a dbus.exceptions.DBusException

Reported by: m1rk0 Assigned to: arnonym
Priority: major Milestone: FFADO 2.1
Component: ffado-mixer Version: FFADO SVN (trunk)
Keywords: DBusException Cc:
The device the bug applies to: Focusrite Saffire Pro 40

Description

When starting ffadomixer I get the following:

mir@robotnik:~/Downloads/ffado/ffado-svn/libffado$ sudo ffado-mixer 
00:29:53 dbus             DEBUG    connecting to: Updated on /org/ffado/Control/DeviceManager (server: org.ffado.Control)
00:29:53 panelmanager     DEBUG    PanelManager::updatePanels()
00:29:53 panelmanager     DEBUG    going to add 00130e0401400fb0
00:29:53 panelmanager     DEBUG    Adding device 0: 00130e0401400fb0
00:29:53 panelmanager     DEBUG     Found (00130e0401400fb0, 130E, 5) Focusrite SAFFIRE_PRO_40
00:29:53 registration     DEBUG    version/GUID combo already registered
00:29:54 matrixmixer      DEBUG    Mixer has 16 rows and 18 columns
Traceback (most recent call last):
  File "/usr/local/lib/python2.6/site-packages/ffado/panelmanager.py", line 345, in updatePanels
    mixerwidget.buildMixer()
  File "/usr/local/lib/python2.6/site-packages/ffado/mixer/saffire_dice.py", line 222, in buildMixer
    model = MonitoringModel(self.hw, self)
  File "/usr/local/lib/python2.6/site-packages/ffado/mixer/saffire_dice.py", line 74, in __init__
    self.globaldims.append(BooleanControl(self.hw, self.hw.basepath + ("/EAP/Monitoring/GlobalDim/AffectsCh%i" % i)))
  File "/usr/local/lib/python2.6/site-packages/ffado/mixer/saffire_dice.py", line 34, in __init__
    self.value = self.iface.selected()
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "selected" with signature "" on interface "org.ffado.Control.Element.Boolean" doesn't exist

This is on Ubuntu 9.10. ffado-diag gives the following output (excerpt, CPU info omitted):

mir@robotnik:~/Downloads/ffado/ffado-svn/libffado$ sudo ffado-diag 


FFADO diagnostic utility 2.999.0-1788M
============================
(C) 2008 Pieter Palmers


=== CHECK ===
 Base system...
  kernel version............ 2.6.31-17-generic
FIXME: implement test for RT kernel
   RT patched............... False
  old 1394 stack present.... True
  old 1394 stack loaded..... True
  old 1394 stack active..... True
  new 1394 stack present.... True
  new 1394 stack loaded..... False
  new 1394 stack active..... False
  /dev/raw1394 node present. True
  /dev/raw1394 permissions.. True
 Prerequisites (dynamic at run-time)...
   gcc................ gcc (Ubuntu 4.4.1-4ubuntu8) 4.4.1
   g++................ g++ (Ubuntu 4.4.1-4ubuntu8) 4.4.1
   PyQt............... Python User Interface Compiler 3.18.1 for Qt version 3.3.8b
   jackd.............. jackd version 0.118.2 tmpdir /dev/shm protocol 24
     path............. /usr/local/bin/jackd
     flags............ Package jack was not found in the pkg-config search path.
Perhaps you should add the directory containing `jack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'jack' found
   libraw1394......... 2.0.4
     flags............  -lraw1394  
   libavc1394......... 0.5.3
     flags............  -lavc1394 -lrom1394 -lraw1394  
   libiec61883........ 1.2.0
     flags............  -liec61883 -lraw1394  
   libxml++-2.6....... 2.26.0
     flags............ -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
   dbus-1............. 1.2.16
     flags............ -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  -L/lib -ldbus-1 -lpthread -lrt  
 Prerequisites (static at compile-time)...
   gcc................ gcc (Ubuntu 4.4.1-4ubuntu8) 4.4.1
   g++................ g++ (Ubuntu 4.4.1-4ubuntu8) 4.4.1
   PyQt............... sh: pyuic: not found
   jackd.............. jackd version 0.118.2 tmpdir /dev/shm protocol 24
     path............. /usr/local/bin/jackd
     flags............ Package jack was not found in the pkg-config search path.
   libraw1394......... 2.0.4
     flags............  -lraw1394  
   libavc1394......... 0.5.3
     flags............  -lavc1394 -lrom1394 -lraw1394  
   libiec61883........ 1.2.0
     flags............  -liec61883 -lraw1394  
   libxml++-2.6....... 2.26.0
     flags............ -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
   dbus-1............. 1.2.16
     flags............ -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  -L/lib -ldbus-1 -lpthread -lrt  
 Hardware...
   Host controllers:
01:06.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link) [104c:8024] (prog-if 10)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at faeff800 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at faef8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME+
	Kernel driver in use: ohci1394
	Kernel modules: firewire-ohci, ohci1394

   CPU info:
   ... (Intel Quadcore)

Change History

01/18/10 13:41:51 changed by arnonym

  • status changed from new to assigned.

I think with r1794 I made the basics work. See the commit-message for details. But I will keep this bug open until I implemented all the Pro40 switches and someone confirmed its working...

01/18/10 13:45:51 changed by arnonym

  • milestone set to FFADO 2.1.

01/19/10 10:00:52 changed by juanramon

Yes it is working (rev#1794)

01/19/10 10:58:44 changed by juanramon

Yes It works but relatively. Now the panel (matrix, routing and monotoring) appears. But the routing and the volumes of matrix don't work properly. I've not tried yet all features of "monitors" but dim and mute work ok.

03/28/12 05:18:51 changed by jwoithe

There has been a significant amount of work done on the Pro40 support specifically (and the Saffire devices generally) in recent times. Have the issues dealt with in this ticket been resolved, or are they still lurking?

03/28/12 15:32:04 changed by jwoithe

  • status changed from assigned to closed.
  • resolution set to fixed.

From Philippe Carriere on ffado-devel:

For my own, I never encountered such a situation (I started using ffado with rev 2000).

Given this report and the fact that the original ffado-mixer startup issues raised in this ticket appear to have been resolved, I'll close this ticket as "fixed". If other mixer-related issues remain with the Pro40 and they are not covered by an existing ticket, please open a new ticket.